Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.run.xml
Class QNameAdapter

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.BitHelper
com.tangosol.util.ExternalizableHelper
com.tangosol.run.xml.PropertyAdapter
com.tangosol.run.xml.SimpleAdapter
com.tangosol.run.xml.SimpleAdapter.StringAdapter
com.tangosol.run.xml.QNameAdapter`

All Implemented Interfaces:
  Serializable

      public class QNameAdapter

extends SimpleAdapter.StringAdapter

A property adapter for QName primitive datatype.

     <adapter>com.tangosol.run.xml.QNameAdapter</adapter>
     <value-space>
       <xmlns>
         <uri>Uri-1</uri>
         <prefix>prefix-1</prefix>
       </xmlns>
       <xmlns>
         <uri>Uri-2</uri>
         <prefix>prefix-2</prefix>
       </xmlns>
       ...
     </value-space>

Version:
  1.00 2002.07.02
Author:
  gg
See Also:
  XML Schema Part 2: Datatypes

Nested Class Summary

Nested classes/interfaces inherited from class com.tangosol.run.xml.SimpleAdapter
`SimpleAdapter.BigDecimalAdapter, SimpleAdapter.BigIntegerAdapter, SimpleAdapter.BooleanAdapter, SimpleAdapter.ByteAdapter, SimpleAdapter.CharAdapter, SimpleAdapter.DateAdapter, SimpleAdapter.DoubleAdapter, SimpleAdapter.FloatAdapter, SimpleAdapter.IntAdapter, SimpleAdapter.LongAdapter, SimpleAdapter.OldDateAdapter, SimpleAdapter.ShortAdapter, SimpleAdapter.StringAdapter, SimpleAdapter.SystemTimeAdapter, SimpleAdapter.TimeAdapter, SimpleAdapter.TimestampAdapter`

Field Summary

Fields inherited from class com.tangosol.run.xml.PropertyAdapter
`m_clzType, m_fAttribute, m_infoBean, m_methodClone, m_methodGet, m_methodSet, m_sName, m_sNmsPrefix, m_sNmsUri, m_sXml, NOPARAMS`

Constructor Summary
`QNameAdapter(XmlBean.BeanInfo infoBean, Class clzType, String sName, String sXml, XmlElement xml)` Construct a QNameAdapter.

Method Summary
`Object` | `fromXml(XmlElement xml)` Deserialize an object from an XML element.
`boolean` | `isValidQName(String sValue)` Specifies whether or not the specified QName value is assosiated with a known namespace declaration.
`XmlElement` | `toXml(Object o)` Serialize an object into an XML element.

Methods inherited from class com.tangosol.run.xml.SimpleAdapter.StringAdapter
`fromUri, readExternal, toUri, writeExternal`

Methods inherited from class com.tangosol.run.xml.SimpleAdapter
`decodeString, encodeString, isCloneRequired, parseNumber`

Methods inherited from class com.tangosol.run.xml.PropertyAdapter
`clone, equalsValue, findAttribute, findElement, get, getAccessor, getBeanInfo, getCloner, getElements, getLocalXmlName, getMutator, getName, getNamespacePrefix, getNamespaceUri, getType, getXmlName, hash, isAnonymous, isAttribute, isElementMatch, isEmpty, readXml, set, setNamespacePrefix, toString, writeXml`

Methods inherited from class com.tangosol.util.BitHelper
`countBits, countBits, countBits, indexOfLSB, indexOfLSB, indexOfLSB, indexOfMSB, indexOfMSB, indexOfMSB, rotateLeft, rotateLeft, rotateLeft, rotateRight, rotateRight, rotateRight, toBitString, toBitString, toBitString`

Constructor Detail

### QNameAdapter

    public QNameAdapter(XmlBean.BeanInfo infoBean,
                        Class clzType,
                        String sName,
                        String sXml,
                        XmlElement xml)

  Construct a QNameAdapter.
  Parameters:
    `infoBean` - BeanInfo for a bean containing this property
    `clzType` - the type of the property
    `sName` - the property name
    `sXml` - the XML tag name
    `xml` - additional XML information

Method Detail

### fromXml

    public Object fromXml(XmlElement xml)

  Deserialize an object from an XML element.
  Overrides:
    `fromXml` in class `SimpleAdapter`
  Parameters:
    `xml` - the XML element to deserialize from
  Returns:
    the object deserialized from the XML element

### toXml

    public XmlElement toXml(Object o)

  Serialize an object into an XML element.
  Overrides:
    `toXml` in class `SimpleAdapter`
  Parameters:
    `o` - the object to serialize
  Returns:
    the XML element representing the serialized form of the passed object

### isValidQName

    public boolean isValidQName(String sValue)

  Specifies whether or not the specified QName value is assosiated with a known namespace declaration.
  Returns:
    true is the specified QName value is assosiated with a known namespace declaration; false otherwise

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.